"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.styles = void 0;

var _reactNative = require("react-native");

var _theme = require("../../../constant/theme");

const styles = _reactNative.StyleSheet.create({
  wrapper: {
    backgroundColor: 'white',
    padding: _theme.width * 0.05
  },
  headerTitleWrapper: {
    flex: 1,
    flexDirection: 'row',
    justifyContent: 'space-between',
    alignItems: 'center',
    paddingVertical: _theme.width * 0.01
  },
  headerBody: {
    flex: 8,
    height: '100%',
    paddingLeft: _theme.width * 0.03,
    justifyContent: 'center',
    alignItems: 'center'
  },
  headerOptimizer: {
    flex: 1
  },
  shadow: {
    shadowColor: '#000',
    shadowOffset: {
      width: 5,
      height: 5
    },
    shadowOpacity: 1,
    shadowRadius: 2,
    elevation: 5
  },
  headerSearch: {
    flexDirection: 'row',
    justifyContent: 'space-between',
    alignItems: 'center'
  },
  searchInput: {
    width: '90%',
    borderWidth: 1,
    borderColor: _theme.colors.grey.soft,
    borderRadius: 15
  }
});

exports.styles = styles;
//# sourceMappingURL=header.style.js.map