function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import { View, Text, TextInput, TouchableOpacity } from 'react-native';
import React, { useEffect, useState } from 'react';
import { Fonts, width } from '../../../constant/theme';
import { styles } from './input.style';
import { Icon } from '../../Atoms';

const TextInputIcon = _ref => {
  let {
    inputStyle,
    onChangeText,
    value,
    right,
    style,
    ...props
  } = _ref;
  const [tempValue, setTempValue] = useState('');
  useEffect(() => {
    setTempValue(value);
  }, [value]);
  useEffect(() => {
    if (tempValue) {
      onChangeText(tempValue);
    }
  }, [tempValue]);
  return /*#__PURE__*/React.createElement(View, {
    style: [styles.content, {
      paddingHorizontal: width * 0.02
    }, style]
  }, /*#__PURE__*/React.createElement(Icon, {
    name: "chevron-left",
    size: 25
  }), /*#__PURE__*/React.createElement(TextInput, _extends({}, props, {
    style: [Fonts.regular, Fonts.small, styles.formInput, {
      width: '95%'
    }, inputStyle],
    value: tempValue,
    onChangeText: val => {
      setTempValue(val);
    },
    underlineColorAndroid: "transparent"
  })), tempValue ? /*#__PURE__*/React.createElement(TouchableOpacity, {
    onPress: _clearText
  }, /*#__PURE__*/React.createElement(Icon, {
    name: "chevron-left",
    size: 25
  })) : null);

  function _clearText() {
    setTempValue('');
  }
};

export default TextInputIcon;
//# sourceMappingURL=TextInputIcon.js.map